satpy (0.51.0-2) unstable; urgency=medium

  * debian/rules:
    - Avoid recursive evaluation of variables (Closes: #1082394).
  * Drop d/source/lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2024 08:49:42 +0000

satpy (0.51.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 15:21:01 +0000

satpy (0.50.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Require trollimage >= 1.24.
  * debian/patches:
    - Drop 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch,
      applied upstream.
    - Refresh and renumber remaining patches.
    - New 0007-No-area_def_list.patch.
  * New source/lintian-overrides file for silencing misdetection of uuid
    as deprecated stdlib.
  * Fix doc build.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 31 Jul 2024 05:58:49 +0000

satpy (0.49.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Fix-gcps-type-for-newer-rioxarray-versions.patch.
      Closes: #1076922.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Jul 2024 06:47:32 +0000

satpy (0.49.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0008-Switch-from-appdirs-to-platformdirs.patch and
      0009-Switch-to-pytest-lazy-fixtures.patch, applied upstream.
    - Refresh and renumber remaining parches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 10 Jun 2024 21:36:25 +0000

satpy (0.48.0-2) unstable; urgency=medium

  * debian/patches:
    - Drop 0009-No-lazy-fixture.patch.
    - New 0009-Switch-to-pytest-lazy-fixtures.patch.
  * debian/control:
    - Add dependency on pytest-lazy-fixtures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 16 May 2024 05:17:29 +0000

satpy (0.48.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - Update 0009-No-lazy-fixture.patch.
  * debian/control:
    - Update dependencies: switch to hatchling.
  * debian/rules:
    - Ignore broken tests.
  * Update d/python3-satpy.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Apr 2024 17:29:51 +0000

satpy (0.47.0-2) unstable; urgency=medium

  * debian/control:
    - Drop dependency on pythom3-pytest-lazy-fixture.
  * debian/patches:
    - New 0008-Switch-from-appdirs-to-platformdirs.patch (Closes: #1068007).
    - New 0009-No-lazy-fixture.patch, workaround for #1063957,
  * debina/rules:
    - Skip broken test (test_correct_area_clearsky_different_resolutions).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Mar 2024 07:48:15 +0000

satpy (0.47.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Feb 2024 09:02:15 +0000

satpy (0.46.0-3) unstable; urgency=medium

  * debian/rules:
    - Skip regression tests on arm64 (excessive resources needed).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Feb 2024 18:03:23 +0000

satpy (0.46.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0007-Do-not-document-pvivate-members.patch.
  * debian/control:
    - Drop dependency on python3-setuptools-scm-git-archive
      (Closes: #1060029).
  * Update dates in d/copyright

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jan 2024 18:18:47 +0000

satpy (0.46.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip test_loading_lon_lat, test_loading_sensor_angles,
      test_loading_solar_angles and test_get_ti_lon_lats for
      compatibility with geotieponts < 1.7
    - Skip tests requiring the unavailable hvplot package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Dec 2023 13:23:54 +0000

satpy (0.45.0-2) unstable; urgency=medium

  * debian/rules:
    - Skip tests requiring network access.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 08:35:40 +0000

satpy (0.45.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/pathces:
    - Drop 0004-Fix-broken-test-in-i386.patch and
      0008-Fix-compatibility-with-xarray-v2023.11.0.patch,
      no longer needed.
    - Refresh and renumber remaining patches.
  * debian/rules:
    - Update list of tests to skip.
  * debian/man:
    - Update manpages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 01:20:46 +0000

satpy (0.44.0-2) unstable; urgency=medium

  * debian/control:
    - Add build dependency on python3-pint-xarray.
  * debian/rules:
    - No longer skip tests requiring python3-pint-xarray.
  * debian/rules:
    - Re-enable some of the tests previously skipped.
    - Skip tests that are broken for Python 3.12 (Closes: 1056527).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 10:30:56 +0000

satpy (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 09:08:17 +0000

satpy (0.43.0-7) unstable; urgency=medium

  * debian/patches:
    - Update 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      to support also xarray v2023.10.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 08:00:45 +0000

satpy (0.43.0-6) unstable; urgency=medium

  * debian/patches:
    - New 0009-Fix-compatibility-with-xarray-v2023.09.0.patch
      (Closes: #1053748).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 11 Oct 2023 21:39:57 +0000

satpy (0.43.0-5) unstable; urgency=medium

  * debian/rules:
    - Temparaty disable test_colorize_with_interpolation and
      test_colorize.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Sep 2023 08:05:40 +0000

satpy (0.43.0-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/patches:
    - rename 0001-Disable-extra-dependency-form-geoviews.patch
      into 0001-Disable-extra-dependency-from-geoviews.patch
    - new 0008-Fix-colormap-based-tests-with-new-version-of-trollim.patch.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.
  * Remove generated files in clean target.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2023 11:21:12 +0000

satpy (0.43.0-3) unstable; urgency=medium

  * debian/rules:
    - Fix check on architectures and re-enable tests.
    - Fix test args.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 10:09:56 +0000

satpy (0.43.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use execute_{before,after} instead of override in rules file.
    (closes: #1046735)

  [ Antonio Valentino ]
  * debian/rules:
    - Improve build doc rule.
    - Drop the no longer necessary version file generation
      (now setuptools-scm is used directly).
  * devian/control:
    - Build-repend on python3-setuptools-scm.
    - Use <!nocheck> and <!nodoc> markers.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    needed d/tests folder.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 08:45:41 +0000

satpy (0.43.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - sugest python3-numba
    - fix cme warnings (obsolete versioned dependencies).
  * debian/patches:
    - 0001-Disable-extra-dependency-form-geoviews.patch renamed to fix a typo
    - refresh all patches.
  * devian/upstream/metadata:
    - set upstream metadata fields: Security-Contact (lintian-brush).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Jul 2023 17:49:15 +0000

satpy (0.42.2-2) unstable; urgency=medium

  * Skip tests that require large memory in autopkgtests.
    This fixes and autopkgtest failure on armel.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Jun 2023 05:22:06 +0000

satpy (0.42.2-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - drop no longer needed dependency on python3-libtiff
    - depend on python-geotiepoints (>=1.6).
  * Update d/copyright.
  * debian/control:
    - dump debhelper-compat version to 13
    - update dependencies: depend on python3-ephem.
  * debian/patches:
    - refresh all patches.
  * Disable test requiring internet connection or unavailable optional packages.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Jun 2023 06:12:10 +0000

satpy (0.39.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix pytest ignore options for autopkgtest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Jan 2023 16:31:10 +0000

satpy (0.39.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0009-Compatibility-with-numpy-1.24.patch, applied upstream.
    - refresh and renumber all patches.
  * Update dates in d/copyright.
  * Exclude tests in test_insat3d_img_l1b_h5.py. The optional dependency
    xarray-datatree is still not available in debian.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 02 Jan 2023 09:22:40 +0000

satpy (0.38.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * debian/patchess:
    - new 0009-Compatibility-with-numpy-1.24.patch (Closes: #1027242).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 16:01:36 +0000

satpy (0.38.0-1) unstable; urgency=medium

  * New upstream release (Closes: 1022338).
  * Skip test_viirs_compact.py::TestCompact::test_distributed.
  * Re-enable test_enhanced_image, test_double_load and
    test_correct_area_no_orbital_parameters.
  * Update d/copyright.
  * debian/patches:
    - New 0008-Fix-compatibility-with-old-dask-versions.patch.
  * debian/control:
    - Add build dependency on python3-skyfield and
      python3-astropy..

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Dec 2022 23:46:22 +0000

satpy (0.37.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add Testsuite: autopkgtest-pkg-python.
  * Fix d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Aug 2022 07:06:21 +0000

satpy (0.37.0-2) unstable; urgency=medium

  * debian/tests:
    - fix typo in test selection.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Aug 2022 07:05:07 +0000

satpy (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update dependencies
    - add dependency on libjs-jquery-datatables.
  * debian/patches:
    - drop 0007-Fix-compatibility-with-pyorbital-v1.7.3.patch,
      applied upstream
    - refresh and renumber remaining patches
    - new 0006-Relax-test-tolerance.patch
    - new 0007-Fix-privacy-breach.patch.
  * Skip tests requiring syfield.
  * Add debian/images.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Aug 2022 15:48:26 +0000

satpy (0.36.0-3) unstable; urgency=medium

  * debian/control:
    - add dependency on python3-rioxarray.
  * debian/patches:
    - drop 0004-Skip-tests-requiring-rioxarray.patch, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 15:08:06 +0000

satpy (0.36.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0007-Fix-compatibility-with-pyorbital-v1.7.3.patch (Closes: #1015030).
  * Update lintian overrides.
  * debian/tests:
    - autopkgtest depends on python3-all.
    - skip test_get_luts.
  * debian/control:
    - update dependency version.
    - build-depend on pybuild-plugin-pyproject.
  * debian/rules:
    - skip test_get_luts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Jul 2022 18:38:00 +0000

satpy (0.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Do not install dummy files denerated during tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 19 Apr 2022 07:17:25 +0000

satpy (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 20 Mar 2022 06:49:53 +0000

satpy (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * Re-enable tests on modis (see
    https://github.com/pytroll/satpy/pull/1966 and
    https://github.com/pytroll/satpy/issues/1883).
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 22 Feb 2022 11:07:35 +0000

satpy (0.33.1-2) unstable; urgency=medium

  * Disable autopkgtest on armhf (Closes: #1000273).
    All tests pass on porteboxes but debian-ci still fails
    in a way that is not possible to reproduce and debug.
  * Re-enable test_modis_l1b.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 04 Jan 2022 09:09:07 +0000

satpy (0.33.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add dependency on python3-defusedxml.
  * Update d/copyright.
  * Disable broken tests (see
    https://github.com/pytroll/satpy/issues/1959 and
    https://github.com/pytroll/satpy/issues/1883).
    Closes: #1000273.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Jan 2022 10:13:58 +0000

satpy (0.31.0-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Dec 2021 18:02:03 +0000

satpy (0.31.0-3~exp1) experimental; urgency=medium

  * devian/control:
    - improve formatting
  * debian/patches:
    - new 0006-Fix-broken-test-in-i386.patch, fix tests that
      are broken on i386.
  * Temporary disable test that are broken in Python 3.10
    (see https://github.com/pytroll/satpy/issues/1929).
  * Disable tests requiring a large amount of resources
    (see https://github.com/pytroll/satpy/issues/1883).
    Closes: #1000273.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Dec 2021 18:35:12 +0000

satpy (0.31.0-2) unstable; urgency=medium

  * debian/rules:
    - do not install python code that is not part of the satpy
      package (Closes: #998822).
  * debian/control:
    - do not use undefined substitution variables.
  * debian/patches:
    - improve 0002-No-setuptools-scm.patch to properly set the version
      in the setup.py script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Nov 2021 11:08:48 +0000

satpy (0.31.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #997124).
  * Update d/copyright file.
  * debian/control:
    - remove unneeded versioned dependencies
    - update dependencies.
  * debian/patches:
    - refresh all patches
    - New 0004-Skip-tests-requiring-rioxarray.patch
    - New 0005-Use-local-mathjax.patch.
  * exclude tests that need to access the interned in
    d/rules and d/tests/python3.
  * New d/python3-satby.lintian-overrides for
    application-in-library-section.
  * Add manpage for satpy_retrieve_all_aux_data.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 10:56:20 +0000

satpy (0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Jan 2021 09:41:47 +0000

satpy (0.25.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - improve 0002-No-setuptools-scm.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 06 Jan 2021 07:19:14 +0000

satpy (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Nov 2020 08:06:18 +0000

satpy (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0004-Fix-tests-on-i386-platforms.patch:
      applied upstream
    - refresh remaining patches
    - remove from 0003-Skip-broken-tests.patch changes regarding
      satpy/tests/writer_tests/test_mitiff.py, no longer needed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Sep 2020 07:49:36 +0000

satpy (0.22.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0004-Fix-tests-on-i386-platforms.patch
    - add Forwarded field to patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 18 Aug 2020 14:46:49 +0000

satpy (0.22.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - build-depend on python3-fsspec
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 23 Jun 2020 05:49:21 +0000

satpy (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update dependencies: drop six, add pytest
  * debian/patches:
    - refresh all patches
    - update 0003-Skip-broken-tests.patch (see upstream issue
      https://github.com/pytroll/satpy/issues/1096)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 09 Apr 2020 07:11:37 +0000

satpy (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * debian/patches:
    - drop 0004-xarray-0.15-compat.patch and 0005-New-pygac-syntax.patch,
      applied upstream
    - update 0003-Skip-broken-tests.patch (see upstream issue #1096
      https://github.com/pytroll/satpy/issues/1096)
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Feb 2020 17:35:13 +0000

satpy (0.19.1-3) unstable; urgency=medium

  * debian/patches
    - new 0005-New-pygac-syntax.patch (Closes: 949468)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Feb 2020 07:57:21 +0000

satpy (0.19.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian/patches:
    - improve 0002-No-setuptools-scm.patch
    - new 0004-xarray-0.15-compat.patch, improve compatibility
      with xarray 0.15 (Closes: 950887)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 07 Feb 2020 20:50:34 +0000

satpy (0.19.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 13 Jan 2020 21:31:18 +0000

satpy (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - set versioned dependency on dask, pygac and trollimage
    - add dependency on python3-pint, python3-eccodes and python3-zarr
  * debian/patches:
    - drop 0006-Fix-compatibility-with-new-proj-version.patch and
      0008-Fix-TestVIIRSComposites.patch, applied upstream
    - drop 0002-Fix-compat-with-old-xarray-and-dask-versions.patch,
      0003-Explicitly-set-chunks-in-dask-arrays.patch,
      0004-Disable-tests-on-the-number-of-calls-to-ll2cr.patch
      and 0007-dask-2.8.patch, no longer necessary
    - new No-setuptools-scm.patch
    - refresh and renumber remaining patches
    - update Fix-test_gaclacfile.patch and rename into
      Skip-broken-tests.patch
  * debian/copyright:
    - drop versioneer, no longer used upstream)
  * debian/rules:
    - generate satpy/version.py file to bypass setuptools-scm
    - fix permissions of agri_l1.*

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 19:42:31 +0000

satpy (0.16.1-5) unstable; urgency=medium

  * debian/patches:
    - rename dask-2.8.patch into 0007-dask-2.8.patch
    - new 0008-Fix-TestVIIRSComposites.patch, backport from upstream
      (closes: #946004)
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Dec 2019 07:29:08 +0000

satpy (0.16.1-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

  [ Matthias Klose ]
  * Fix two tests for dask-2.8.
    (closes: #945129)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Nov 2019 10:50:09 +0100

satpy (0.16.1-3) unstable; urgency=medium

  * debian/patches:
    - new 0006-Fix-compatibility-with-new-proj-version.patch
      (backport from upstream)
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Sep 2019 21:33:09 +0000

satpy (0.16.1-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Set upstream metadata fields: Contact.
  * debian/patches:
    - new 0005-Fix-test_gaclacfile.patch (Closes: #933536)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 06 Aug 2019 17:30:35 +0000

satpy (0.16.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0001-Fix-pyhdf.patch: upstream package name has been switched
      back to pyhdf
    - refresh and renumber remaining patches
    - new patches: 0003-Explicitly-set-chunks-in-dask-arrays.patch,
      0004-Disable-tests-on-the-number-of-calls-to-ll2cr.patch
  * debian/control:
    - require python3-hdf4 >= 0.10.1
  * Set compat to 12.
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 12 Jul 2019 06:23:16 +0000

satpy (0.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Re-enable dependency from python3-netcdf (#915260 has been fixed now).
  * Updated debian/copyright.
  * debian/patches:
    - refresh all patches
    - new 0003-Fix-compat-with-old-xarray-and-dask-versions.patch
  * debian/control:
    - update pyresample dependency version
  * debian/rules:
    - fix doc build

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 23 Apr 2019 19:48:10 +0000

satpy (0.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: #919566).
  * debian/patches:
    - drop 0002-Compatibility-with-Python-3.7.patch and 0004-Fix-cf-epoch.patch:
      applied upstream
    - drop 0003-Skip-tests-that-require-pydecorate.patch: no longer necessary
      (pydecorate is now available)
    - new 0002-Disable-extra-dependency-form-geoviews.patch: geoviews is not
      currently available in debian
    - refresh remaining patches
  * drop dependency from python3-h5netcdf (Closes: #919714).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 21 Feb 2019 10:10:34 +0000

satpy (0.11.1-2) unstable; urgency=medium

  * debian/tests/control:
    - add generated package to the list of dependencies (fix CI failures)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 16 Jan 2019 07:43:28 +0000

satpy (0.11.1-1) unstable; urgency=medium

  * Initial version (Closes: #917110)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Jan 2019 06:29:16 +0000
